org.modeshape.connector.git

## Class GitCommitDetails

- java.lang.Object
- - org.modeshape.connector.git.GitFunction
  - - org.modeshape.connector.git.GitCommitDetails

- All Implemented Interfaces:
    PageableGitFunction

      public class GitCommitDetails
      extends GitFunction
      implements PageableGitFunction

  A `GitFunction` that returns the information about a particular commit. The structure of this area of the repository is as follows:

         /commit/{branchOrTagNameOrObjectId}

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DIFF_CHARSET_NAME` The name of the character set that is used when building the patch difference for a commit.
    `protected static String` | `ID`
    `protected static String` | `NAME`

    - ### Fields inherited from class org.modeshape.connector.git.GitFunction

      `connector, DEFAULT_PAGE_SIZE, DELIMITER, name, pageSize, REMOTE_BRANCH_PREFIX, REVERSE_REF_COMPARATOR, TAG_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GitCommitDetails(GitConnector connector)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected List<org.eclipse.jgit.diff.DiffEntry>` | `computeDifferences(org.eclipse.jgit.revwalk.RevCommit commit, org.eclipse.jgit.revwalk.RevWalk walker, org.eclipse.jgit.lib.Repository repository)`
    `protected String` | `computePatch(Iterable<org.eclipse.jgit.diff.DiffEntry> entries, org.eclipse.jgit.lib.Repository repository)`
    `Document` | `execute(org.eclipse.jgit.lib.Repository repository, org.eclipse.jgit.api.Git git, CallSpecification spec, DocumentWriter writer, Values values)`
    `Document` | `execute(org.eclipse.jgit.lib.Repository repository, org.eclipse.jgit.api.Git git, CallSpecification spec, PageWriter writer, Values values, PageKey pageKey)`
    `boolean` | `isPaged()`
    `protected static Object[]` | `referencesToCommits(org.eclipse.jgit.lib.ObjectId[] ids, Values values)`
    `protected static Object` | `referenceToCommit(org.eclipse.jgit.lib.ObjectId id, Values values)`

    - ### Methods inherited from class org.modeshape.connector.git.GitFunction

      `addBranchesAsChildren, addCommitsAsChildren, addCommitsAsPageOfChildren, addTagsAsChildren, authorName, branchRefForName, branchRefForName, commiterName, getName, isQueryable, resolveBranchOrTagOrCommitId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DIFF_CHARSET_NAME

          public static final String DIFF_CHARSET_NAME

      The name of the character set that is used when building the patch difference for a commit.
      See Also:
        Constant Field Values

    - #### NAME

          protected static final String NAME

      See Also:
        Constant Field Values

    - #### ID

          protected static final String ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GitCommitDetails

          public GitCommitDetails(GitConnector connector)

  - ### Method Detail

    - #### referenceToCommit

          protected static Object referenceToCommit(org.eclipse.jgit.lib.ObjectId id,
                                 Values values)

    - #### referencesToCommits

          protected static Object[] referencesToCommits(org.eclipse.jgit.lib.ObjectId[] ids,
                                     Values values)

    - #### execute

          public Document execute(org.eclipse.jgit.lib.Repository repository,
                         org.eclipse.jgit.api.Git git,
                         CallSpecification spec,
                         DocumentWriter writer,
                         Values values)
                           throws org.eclipse.jgit.api.errors.GitAPIException,
                                  IOException

      Specified by:
        `execute` in class `GitFunction`
      Throws:
        `org.eclipse.jgit.api.errors.GitAPIException`
        `IOException`

    - #### isPaged

          public boolean isPaged()

      Overrides:
        `isPaged` in class `GitFunction`

    - #### execute

          public Document execute(org.eclipse.jgit.lib.Repository repository,
                         org.eclipse.jgit.api.Git git,
                         CallSpecification spec,
                         PageWriter writer,
                         Values values,
                         PageKey pageKey)
                           throws org.eclipse.jgit.api.errors.GitAPIException,
                                  IOException

      Specified by:
        `execute` in interface `PageableGitFunction`
      Throws:
        `org.eclipse.jgit.api.errors.GitAPIException`
        `IOException`

    - #### computeDifferences

          protected List<org.eclipse.jgit.diff.DiffEntry> computeDifferences(org.eclipse.jgit.revwalk.RevCommit commit,
                                                                 org.eclipse.jgit.revwalk.RevWalk walker,
                                                                 org.eclipse.jgit.lib.Repository repository)
                                                                      throws org.eclipse.jgit.errors.MissingObjectException,
                                                                             org.eclipse.jgit.errors.IncorrectObjectTypeException,
                                                                             org.eclipse.jgit.errors.CorruptObjectException,
                                                                             IOException

      Throws:
        `org.eclipse.jgit.errors.MissingObjectException`
        `org.eclipse.jgit.errors.IncorrectObjectTypeException`
        `org.eclipse.jgit.errors.CorruptObjectException`
        `IOException`

    - #### computePatch

          protected String computePatch(Iterable<org.eclipse.jgit.diff.DiffEntry> entries,
                            org.eclipse.jgit.lib.Repository repository)
                                 throws IOException

      Throws:
        `IOException`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.